<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="AI_PARSER.html"><font color="#008000">AI_PARSER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong>     :=<font color="#BC8F8F">"Startup system : First object."</font>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">version</font></strong> := <font color="#A020F0">1</font>;  
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>  
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_object</font></strong>:<a href="OBJECT.html"><font color="#008000">OBJECT</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">msg_err</font></strong>:<a href="STRING.html"><font color="#008000">STRING</font></a>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">trace</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">position</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">source</font></strong>:<a href="FAST_ARRAY.html"><font color="#008000">FAST_ARRAY</font></a>[<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">string_tmp</font></strong>:<a href="STRING.html"><font color="#008000">STRING</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">last_character</font></strong>:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">end_source</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">last_integer</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">last_string</font></strong>:<a href="STRING_CONSTANT.html"><font color="#008000">STRING_CONSTANT</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">last_real_16_16</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">last_flag</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_new_line</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">is_space</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_space</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
      
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_keyword</font></strong> s:<a href="STRING_CONSTANT.html"><font color="#008000">STRING_CONSTANT</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_identifier</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_string</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_flag</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_integer</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_real_16_16</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_comment</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_character</font></strong> c:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> :<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <- 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Error Management</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> </B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">syntax_error</font></strong> txt:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">missing_keyword</font></strong> txt:<a href="ABSTRACT_STRING.html"><font color="#008000">ABSTRACT_STRING</font></a> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">print_line</font></strong> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">get_line</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B> Last read coordinates</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">last_x</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>;  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">last_y</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>;
    
  <br><font FACE="Sans-serif" color="#000000"><B> Current Point</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">x_cur</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">y_cur</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>;
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">llx</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>; <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  lower horizontal bound</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">urx</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>; <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  upper horizontal bound</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">lly</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>; <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  lower vertical bound</font></strong></em>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">ury</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>; <br><em><strong><font color="#707070">&nbsp &nbsp &nbsp &nbsp  upper vertical bound</font></strong></em>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">width</font></strong> :<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">height</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Results</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">list_layer</font></strong>:<a href="LINKED_LIST.html"><font color="#008000">LINKED_LIST</font></a>[<a href="AI_LAYER.html"><font color="#008000">AI_LAYER</font></a>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">current_list</font></strong>:<a href="LINKED_LIST.html"><font color="#008000">LINKED_LIST</font></a>[<a href="AI_OPERATION.html"><font color="#008000">AI_OPERATION</font></a>];
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">current_color</font></strong>:<a href="AI_COLOR.html"><font color="#008000">AI_COLOR</font></a>;
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Grammar Rules</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><font FACE="Sans-serif" color="#000000"><B>++ DOCUMENT          -> PROLOGUE</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      SCRIPT  </B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_document</font></strong> <-
      
  <br><font FACE="Sans-serif" color="#000000"><B>++ PROLOGUE          -> '%!PS-Adobe-2.0 EPSF-1.2'</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      [ comment ]</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      '%%BoundingBox:'real real real real</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      [ comment ]</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      '%%EndProlog'  </B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_prologue</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ SCRIPT            -> SETUP</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      SCRIPT_BODY</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      TRAILER  </B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_script</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ SETUP             -> '%%BeginSetup'</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      ['Adobe_illustrator_' real 'begin']</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      [PROC_SETS_INIT]</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      FONT_ENCODING</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      [PATTERN_DEFS]</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      '%%EndSetup'  </B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_setup</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ PROC_SETS_INIT    -> { INITIALIZE }</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_proc_sets_init</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ INITIALIZE        -> identifier '/initialize get exec'</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_initialize</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ FONT_ENCODING     -> { RE_ENCODING }</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_font_encoding</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ RE_ENCODING       -> '%%BeginEncoding:' newfontname oldfontname</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      Z</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      '%%EndEncoding'</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_re_encoding</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ Z                 -> '['[NEW_ENCODING]']' '/' identifier '/' identifier integer 'Z'</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_upper_z</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ NEW_ENCODING      -> { integer '/' identifier { '/' identifier}}</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_new_encoding</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ PATTERN_DEFS      -> { PATTERN }</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_pattern_defs</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ PATTERN           -> '%%BeginPattern:' '('patternname')'</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      E</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      '%%EndPattern'</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_pattern</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ E                 -> '(' patternname ')' real real real real real [LAYER_LIST] 'E'</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_upper_e</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ LAYER_LIST        -> { LAYER_COLOR LAYER_TILE }</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_layer_list</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ LAYER_COLOR       -> '(' COLOR ')' '@'</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_layer_color</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ LAYER_TILE        -> '(' TILE_DEFINITION ')' '&' </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | '_' '&'  </B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_layer_tile</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ COLOR             -> COLOR_COMPOSITE { COLOR_COMPOSITE }</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_color</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ COLOR_COMPOSITE   -> flag 'O'</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | flag 'R'</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | real 'g' </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | real 'G' </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | real real real real 'k' </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | real real real real 'K'  </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | real real real real '(' string ')' real 'x' </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | real real real real '(' string ')' real 'X'   </B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_color_composite</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ TILE_DEFINITION   -> OBJ_WITHOUT_COL</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_tile_definition</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ OBJECT            -> COLOR { OBJ_WITHOUT_COL }</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_object</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ OBJ_WITHOUT_COL   -> [ GRAPHICS_STATE ] { '%%Note:' comment } ( GRAPHIC | TEXT )   </B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_obj_without_col</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ GRAPHICS_STATE    -> GRAPH_COMPOSITE { GRAPH_COMPOSITE } </B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_graphics_state</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ GRAPH_COMPOSITE   -> '[' { real } ']' integer 'd'</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | integer  ( 'j' | 'J' | 'M' ) </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | real ( 'i' | 'w' )</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_graph_composite</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ GRAPHIC           -> PATH PAINT_OPERATOR</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_graphic</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ PATH              -> COORD 'm' {PATH_COMPOSITE}</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_path</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ PATH_COMPOSITE    -> COORD ( 'l' | 'L' )</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | COORD COORD ( 'v' | 'V' | 'y' | 'Y' )</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | COORD COORD COORD ( 'c' | 'C' )</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_path_composite</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ PAINT_OPERATOR    -> 'N' | 'n' | 'F' | 'f' | 'S' | 's' | 'B' | 'b' | 'H' | 'h' | 'W'</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_paint_operator</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ TEXT              -> '/' identifier real real real integer 'z' TEXT_COMPOSITE { TEXT_CONTENT } 'T'</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_text</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ TEXT_CONTENT      -> [ integer ] '(' string ')' 't' </B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_text_content</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ TEXT_COMPOSITE    -> '[' real real real real real real ']' ( 'a' | 'e' | 'I' | 'o' | 'r' )</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_text_composite</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ COORD             -> real real </B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_coord</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ SCRIPT_BODY       -> { ELEMENT | IMPORT_DOC }</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_script_body</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ ELEMENT           -> { A }</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      GROUP | OBJECT</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_element</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ A                 -> flag 'A'</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_upper_a</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ GROUP             -> ['*'] 'u'</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      OBJECT_SEQ</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      ['*'] 'U'</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                    | 'q'</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      OBJECT_SEQ</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      'Q'</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_group</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ OBJECT_SEQ        -> { ELEMENT }</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_object_seq</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ IMPORT_DOC        -> '''</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      '%%IncludeFile:' filename</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      '~'</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_import_doc</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ TRAILER           -> '%%Trailer'</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B>++                      { TERMINATE }</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_trailer</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B>++ TERMINATE         -> (identifier '/terminate get exec' | '_E end')</B></font>
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">read_terminate</font></strong>:<a href="BOOLEAN.html"><font color="#008000">BOOLEAN</font></a> <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Parser</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create</font></strong> s:<a href="FAST_ARRAY.html"><font color="#008000">FAST_ARRAY</font></a>[<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a>] :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make</font></strong> s:<a href="FAST_ARRAY.html"><font color="#008000">FAST_ARRAY</font></a>[<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a>] <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">draw</font></strong> b:<a href="BITMAP.html"><font color="#008000">BITMAP</font></a> <strong><font color="#0000FF">scale</font></strong> coef:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a> <-
  


</body>
</html>

